package org.artisanlogiciel.games;

import java.io.File;
import java.util.Scanner;

/**
 MazeParamEditor to edit Maze Parameters ( current impl in console / Scanner )
 **/
class MazeParamEditor implements MazeParams
{
    int width;
    int height;
    int maxdepth;
    File labdir;
    String name;

    public MazeParamEditor(File saveDir)
    {
	name = null;
	labdir = saveDir;
    }

    public void read(Scanner console)
    {
	width = console.nextInt();
	height = console.nextInt();
	maxdepth = console.nextInt();
    }

    public int getWidth()
    {
	return width;
    }

    public int getHeight()
    {
	return height;
    }

    public int getMaxDepth()
    {
	return maxdepth;
    }
    
    public String getName()
    {
	if (name == null)
            {
                name = "lab" + width + "x" + height;
            }
	return name;
    }

    public File getSaveDir()
    {
	return labdir;
    }
}

